<?php
/**
 * @template	Template by Jan Pavelka (http://www.phoca.cz)
 * @copyright	Copyright Jan Pavelka
 * @license		GNU/GPL, see LICENSE.php
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >

<head>
<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<!--[if lte IE 6]>
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/ie6.css" type="text/css" rel="stylesheet" />
<![endif]-->

<!--[if lte IE 7]>
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/ie7.css" type="text/css" rel="stylesheet" />
<![endif]-->

<?php if($this->direction == 'rtl') { ?>
	<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_rtl.css" rel="stylesheet" type="text/css" />
<?php } ?>

<?php
if ($this->countModules('left and right') == 0) {$contentwidth = "3";}
if ($this->countModules('left or right') == 1) {$contentwidth = "2";}
if ($this->countModules('left and right') == 1) {$contentwidth = "1";}
?>


</head>
<body>
<div id="site">
<div id="wrap">
	<div id="header">
		<div class="box">
			<div class="logo"><a href="<?php echo $this->baseurl ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/logo.png" alt="<?php echo $mainframe->getCfg('sitename') ;?>" /></a></div>
			
			<?php if ($this->countModules('search')) : ?>
					<jdoc:include type="modules" name="search" style="raw" />
			<?php endif; ?>
			<?php if ($this->countModules('banner')) : ?>
			<div class="banner">
					<jdoc:include type="modules" name="banner" style="rounded"  />
			</div>
			<?php endif; ?>				
		<jdoc:include type="modules" name="user3" style="rounded"  />
		</div>
	</div>
	
	<?php if ($this->countModules('left')) : ?>
	<div id="leftcolbg">
	<?php endif; ?>
		<?php if ($this->countModules('right')) : ?>
		<div id="rightcolbg">
		<?php endif; ?>
	
	<?php if ($this->countModules('top')) : ?>
	<div id="top">
		<div class="box">
			<jdoc:include type="modules" name="top" style="rounded"  />
		</div>
	</div>
	<?php endif; ?>	
	
	<?php if ($this->countModules('left')) : ?>
	<div id="leftcol">
		<div class="box">
			<jdoc:include type="modules" name="left" style="rounded"  />
		</div>
	</div>
	<?php endif; ?>
	
	<div id="content<?php echo $contentwidth; ?>">
		<div class="box">
			<div id="message"><jdoc:include type="message" style="xhtml" /></div>
			<div id="pathway">
				<jdoc:include type="modules" name="breadcrumbs"  />
			</div>
			<jdoc:include type="component" />
		</div>
	</div>
	
	<?php if ($this->countModules('right')) : ?>
	<div id="rightcol">
		<div class="box">
			<jdoc:include type="modules" name="right" style="rounded"  />
		</div>
	</div>
	<?php endif; ?>
	
	
	<?php if($this->countModules('user1 or user2')) : ?>
		<div id="user">
			<table border="0" width="100%">
				<tr valign="top">
					<?php if($this->countModules('user1')) : ?>
						<td width="50%">
							<jdoc:include type="modules" name="user1" style="rounded" />
						</td>
					<?php endif; ?>
					
					<?php if($this->countModules('user1 and user2')) : ?>
						<td class="greyline">&nbsp;</td>
					<?php endif; ?>
					
					<?php if($this->countModules('user2')) : ?>
						<td width="50%">
							<jdoc:include type="modules" name="user2" style="rounded" />
						</td>
					<?php endif; ?>
				</tr>
			</table>
		</div>
	<?php endif; ?>
	
	
	<?php if($this->countModules('bottom')) : ?>
      <div id="bottom">
        <div class="box">
          <jdoc:include type="modules" name="bottom" style="horz" />
        </div>
      </div>
      <?php endif; ?>
	

	
	<div id="degug">
		<div class="box">
			<jdoc:include type="modules" name="debug" />
		</div>
	</div>
	
	<?php if ($this->countModules('left')) : ?>
	</div><!-- end leftcolbg -->
	<?php endif; ?>
		<?php if ($this->countModules('right')) : ?>
		</div><!-- end rightcolbg -->
		<?php endif; ?>	
	
	
</div><!-- end wrap -->
<div id="footer">
	<div class="box">
		<?php include_once('templates.php'); ?>
	</div>
</div>
</div>
</body>
</html>
